* * *

Author Topic: Installing weblaz on RasPi  (Read 424 times)

BLL

  • Full Member
  • ***
  • Posts: 208
Installing weblaz on RasPi
« on: December 17, 2017, 05:51:22 pm »
Hi
I am using fpc 3.0.0 and lazarus 1.7 on my RasPi model 3.

I want to install the weblaz package but it won't. I am told that this is because of a lack of Interbase support.
I have searched the net but that hasn't helped at all. I have never done anything with web servers before, so I am a rank beginner!

Is it possible to install weblaz on my RasPi or not?
If it is, HOW please?
I am hoping to incorporate a very small, simple web server into my program so I can get data from it over the web.

Any help much appreciated.

Brian

eric

  • Sr. Member
  • ****
  • Posts: 259
Re: Installing weblaz on RasPi
« Reply #1 on: December 17, 2017, 07:29:34 pm »
You don't need weblaz. FPC already includes all you need for a simple webserver. See https://www.freepascal.org/~michael/articles/webserver1/webserver1.pdf

BLL

  • Full Member
  • ***
  • Posts: 208
Re: Installing weblaz on RasPi
« Reply #2 on: December 17, 2017, 07:55:39 pm »
Hi Eric

I tried this tutorial and got rafts of errors!
God, am I frustrated!

Brian

BLL

  • Full Member
  • ***
  • Posts: 208
Re: Installing weblaz on RasPi
« Reply #3 on: December 17, 2017, 08:04:04 pm »
Early in the tutorial, it says one needs to install LazwebExtra package. When I try to do this I get the error message: ibconnection.pp Cannot find ibase60dyn used by IBConnection!!!!

So I can't proceed with the tutorial!!!

Brian

molly

  • Hero Member
  • *****
  • Posts: 2214
Re: Installing weblaz on RasPi
« Reply #4 on: December 17, 2017, 08:04:24 pm »
Although user eric is correct, user eric seem to have missed the point that weblaz is using those exact classes to provide a more complicated example using a database back-end.

I had a quick glance and I have no idea where the missing library is coming from. You should be able to select to use another database engine and i was unable to detect static linking (but i might have overlooked something there). Because i have no idea where my pi is hiding i'm unable to try myself atm (why do they make these things so small that they are able to hide anywhere   :'( ).

BLL

  • Full Member
  • ***
  • Posts: 208
Re: Installing weblaz on RasPi
« Reply #5 on: December 19, 2017, 08:10:31 pm »
Still trying without success to install weblaz.

The error message I was getting involved sqlite, so I have carefully edited weblaz.lpk to remove any references to sql as I don't need it.

That has allowed the installation to go further but now I am getting an error:

fpideexteditorinsertfilenameunit.pas(37,23) Fatal: Cannot find LazFileUtils used by fpIDEExtEditorInsertFileNameUnit.

Check if package LazUtils is in the dependencies of package weblaz.

LazUtils is installed and LazFileUtils is found in LazUtils.lpk.

How do I check if it is the dependencies as it suggests?

Thanks

Brian

 

Recent

Get Lazarus at SourceForge.net. Fast, secure and Free Open Source software downloads Open Hub project report for Lazarus